## rust-git-cinnabar 0.7.0~beta.2

=== git-core/Makefile ===
# The default target of this Makefile is...
all::

# Import tree-wide shared Makefile behavior and libraries
include shared.mak

# == Makefile defines ==
#
# These defines change the behavior of the Makefile itself, but have
# no impact on what it builds:
#
# Define V=1 to have a more verbose compile.
#
# == Portability and optional library defines ==
#
# These defines indicate what Git can expect from the OS, what
# libraries are available etc. Much of this is auto-detected in
# config.mak.uname, or in configure.ac when using the optional "make
# configure && ./configure" (see INSTALL).
#
# Define SHELL_PATH to a POSIX shell if your /bin/sh is broken.
#
# Define SANE_TOOL_PATH to a colon-separated list of paths to prepend
# to PATH if your tools in /usr/bin are broken.
#
# Define SOCKLEN_T to a suitable type (such as 'size_t') if your
# system headers do not define a socklen_t type.
#
# Define INLINE to a suitable substitute (such as '__inline' or '') if git
# fails to compile with errors about undefined inline functions or similar.
#
# Define SNPRINTF_RETURNS_BOGUS if you are on a system which snprintf()
# or vsnprintf() return -1 instead of number of characters which would
# have been written to the final string if enough space had been available.
#
# Define FREAD_READS_DIRECTORIES if you are on a system which succeeds
# when attempting to read from an fopen'ed directory (or even to fopen
# it at all).
#
# Define OPEN_RETURNS_EINTR if your open() system call may return EINTR
# when a signal is received (as opposed to restarting).
#
# Define NO_OPENSSL environment variable if you do not have OpenSSL.
#
# Define HAVE_ALLOCA_H if you have working alloca(3) defined in that header.
#
# Define HAVE_PATHS_H if you have paths.h and want to use the default PATH
# it specifies.
#
# Define NO_D_TYPE_IN_DIRENT if your platform defines DT_UNKNOWN but lacks
# d_type in struct dirent (Cygwin 1.5, fixed in Cygwin 1.7).
#
# Define HAVE_STRINGS_H if you have strings.h and need it for strcasecmp.
#
# Define NO_STRCASESTR if you don't have strcasestr.
#
# Define NO_MEMMEM if you don't have memmem.
#
# Define NO_GETPAGESIZE if you don't have getpagesize.
#
# Define NO_STRLCPY if you don't have strlcpy.
#
# Define NO_STRTOUMAX if you don't have both strtoimax and strtoumax in the
# C library. If your compiler also does not support long long or does not have
# strtoull, define NO_STRTOULL.
#
# Define NO_SETENV if you don't have setenv in the C library.
#
# Define NO_UNSETENV if you don't have unsetenv in the C library.
#
# Define NO_MKDTEMP if you don't have mkdtemp in the C library.
#
# Define MKDIR_WO_TRAILING_SLASH if your mkdir() can't deal with trailing slash.
#
# Define NO_GECOS_IN_PWENT if you don't have pw_gecos in struct passwd
# in the C library.
#
# Define NO_LIBGEN_H if you don't have libgen.h.
#
# Define NEEDS_LIBGEN if your libgen needs -lgen when linking
#
# Define NO_SYS_SELECT_H if you don't have sys/select.h.
#
# Define NO_SYMLINK_HEAD if you never want .git/HEAD to be a symbolic link.
# Enable it on Windows.  By default, symrefs are still used.
#
# Define NO_SVN_TESTS if you want to skip time-consuming SVN interoperability
# tests.  These tests take up a significant amount of the total test time
# but are not needed unless you plan to talk to SVN repos.
#
# Define NO_FINK if you are building on Darwin/Mac OS X, have Fink
# installed in /sw, but don't want GIT to link against any libraries
# installed there.  If defined you may specify your own (or Fink's)
# include directories and library directories by defining CFLAGS
# and LDFLAGS appropriately.
#
# Define NO_DARWIN_PORTS if you are building on Darwin/Mac OS X,
# have DarwinPorts installed in /opt/local, but don't want GIT to
# link against any libraries installed there.  If defined you may
# specify your own (or DarwinPort's) include directories and
# library directories by defining CFLAGS and LDFLAGS appropriately.
#
# Define NO_APPLE_COMMON_CRYPTO if you are building on Darwin/Mac OS X
# and do not want to use Apple's CommonCrypto library.  This allows you
# to provide your own OpenSSL library, for example from MacPorts.
#
# Define NEEDS_CRYPTO_WITH_SSL if you need -lcrypto when using -lssl (Darwin).
#
# Define NEEDS_SSL_WITH_CRYPTO if you need -lssl when using -lcrypto (Darwin).
#
# Define NEEDS_LIBICONV if linking with libc is not enough (Darwin).
#
# Define NEEDS_LIBINTL_BEFORE_LIBICONV if you need libintl before libiconv.
#
# Define NO_INTPTR_T if you don't have intptr_t or uintptr_t.
#
# Define NO_UINTMAX_T if you don't have uintmax_t.
#
# Define NEEDS_SOCKET if linking with libc is not enough (SunOS,
# Patrick Mauritz).
#
# Define NEEDS_RESOLV if linking with -lnsl and/or -lsocket is not enough.
# Notably on Solaris hstrerror resides in libresolv and on Solaris 7
# inet_ntop and inet_pton additionally reside there.
#
# Define NO_MMAP if you want to avoid mmap.
#
# Define MMAP_PREVENTS_DELETE if a file that is currently mmapped cannot be
# deleted or cannot be replaced using rename().
#
# Define NO_POLL_H if you don't have poll.h.
#
# Define NO_SYS_POLL_H if you don't have sys/poll.h.
#
# Define NO_POLL if you do not have or don't want to use poll().
# This also implies NO_POLL_H and NO_SYS_POLL_H.
#
# Define NEEDS_SYS_PARAM_H if you need to include sys/param.h to compile,
# *PLEASE* REPORT to git@vger.kernel.org if your platform needs this;
# we want to know more about the issue.
#
# Define NO_PTHREADS if you do not have or do not want to use Pthreads.
#
# Define NO_PREAD if you have a problem with pread() system call (e.g.
# cygwin1.dll before v1.5.22).
#
# Define NO_SETITIMER if you don't have setitimer()
#
# Define NO_STRUCT_ITIMERVAL if you don't have struct itimerval
# This also implies NO_SETITIMER
#
# Define NO_FAST_WORKING_DIRECTORY if accessing objects in pack files is
# generally faster on your platform than accessing the working directory.
#
# Define NO_TRUSTABLE_FILEMODE if your filesystem may claim to support
# the executable mode bit, but doesn't really do so.
#
# Define CSPRNG_METHOD to "arc4random" if your system has arc4random and
# arc4random_buf, "libbsd" if your system has those functions from libbsd,
# "getrandom" if your system has getrandom, "getentropy" if your system has
# getentropy, "rtlgenrandom" for RtlGenRandom (Windows only), or "openssl" if
# you'd want to use the OpenSSL CSPRNG.  You may set multiple options with
# spaces, in which case a suitable option will be chosen.  If unset or set to
# anything else, defaults to using "/dev/urandom".
#
# Define NEEDS_MODE_TRANSLATION if your OS strays from the typical file type
# bits in mode values (e.g. z/OS defines I_SFMT to 0xFF000000 as opposed to the
# usual 0xF000).
#
# Define NO_IPV6 if you lack IPv6 support and getaddrinfo().
#
# Define NO_UNIX_SOCKETS if your system does not offer unix sockets.
#
# Define NO_SOCKADDR_STORAGE if your platform does not have struct
# sockaddr_storage.
#
# Define NO_ICONV if your libc does not properly support iconv.
#
# Define OLD_ICONV if your library has an old iconv(), where the second
# (input buffer pointer) parameter is declared with type (const char **).
#
# Define ICONV_OMITS_BOM if your iconv implementation does not write a
# byte-order mark (BOM) when writing UTF-16 or UTF-32 and always writes in
# big-endian format.
#
# Define NO_DEFLATE_BOUND if your zlib does not have deflateBound.
#
# Define NO_NORETURN if using buggy versions of gcc 4.6+ and profile feedback,
# as the compiler can crash (https://gcc.gnu.org/bugzilla/show_bug.cgi?id=49299)
#
# Define USE_NSEC below if you want git to care about sub-second file mtimes
# and ctimes. Note that you need recent glibc (at least 2.2.4) for this. On
# Linux, kernel 2.6.11 or newer is required for reliable sub-second file times
# on file systems with exactly 1 ns or 1 s resolution. If you intend to use Git
# on other file systems (e.g. CEPH, CIFS, NTFS, UDF), don't enable USE_NSEC. See
# Documentation/technical/racy-git.txt for details.
#
# Define USE_ST_TIMESPEC if your "struct stat" uses "st_ctimespec" instead of
# "st_ctim"
#
# Define NO_NSEC if your "struct stat" does not have "st_ctim.tv_nsec"
# available.  This automatically turns USE_NSEC off.
#
# Define USE_STDEV below if you want git to care about the underlying device
# change being considered an inode change from the update-index perspective.
#
# Define NO_ST_BLOCKS_IN_STRUCT_STAT if your platform does not have st_blocks
# field that counts the on-disk footprint in 512-byte blocks.
#
# Define USE_ASCIIDOCTOR to use Asciidoctor instead of AsciiDoc to build the
# documentation.
#
# Define ASCIIDOCTOR_EXTENSIONS_LAB to point to the location of the Asciidoctor
# Extensions Lab if you have it available.
#
# Define PERL_PATH to the path of your Perl binary (usually /usr/bin/perl).
#
# Define NO_PERL if you do not want Perl scripts or libraries at all.
#
# Define NO_PERL_CPAN_FALLBACKS if you do not want to install bundled
# copies of CPAN modules that serve as a fallback in case the modules
# are not available on the system. This option is intended for
# distributions that want to use their packaged versions of Perl
# modules, instead of the fallbacks shipped with Git.
#
# Define NO_GITWEB if you do not want to build or install
# 'gitweb'. Note that defining NO_PERL currently has the same effect
# on not installing gitweb, but not on whether it's built in the
# gitweb/ directory.
#
# Define PYTHON_PATH to the path of your Python binary (often /usr/bin/python
# but /usr/bin/python2.7 or /usr/bin/python3 on some platforms).
#
# Define NO_PYTHON if you do not want Python scripts or libraries at all.
#
# Define NO_TCLTK if you do not want Tcl/Tk GUI.
#
# The TCL_PATH variable governs the location of the Tcl interpreter
# used to optimize git-gui for your system.  Only used if NO_TCLTK
# is not set.  Defaults to the bare 'tclsh'.
#
# The TCLTK_PATH variable governs the location of the Tcl/Tk interpreter.
# If not set it defaults to the bare 'wish'. If it is set to the empty
# string then NO_TCLTK will be forced (this is used by configure script).
#
# Define INTERNAL_QSORT to use Git's implementation of qsort(), which
# is a simplified version of the merge sort used in glibc. This is
# recommended if Git triggers O(n^2) behavior in your platform's qsort().
#
# Define HAVE_ISO_QSORT_S if your platform provides a qsort_s() that's
# compatible with the one described in C11 Annex K.
#
# Define UNRELIABLE_FSTAT if your system's fstat does not return the same
# information on a not yet closed file that lstat would return for the same
# file after it was closed.
#
# Define OBJECT_CREATION_USES_RENAMES if your operating systems has problems
# when hardlinking a file to another name and unlinking the original file right
# away (some NTFS drivers seem to zero the contents in that scenario).
#
# Define INSTALL_SYMLINKS if you prefer to have everything that can be
# symlinked between bin/ and libexec/ to use relative symlinks between
# the two. This option overrides NO_CROSS_DIRECTORY_HARDLINKS and
# NO_INSTALL_HARDLINKS which will also use symlinking by indirection
# within the same directory in some cases, INSTALL_SYMLINKS will
# always symlink to the final target directly.
#
# Define NO_CROSS_DIRECTORY_HARDLINKS if you plan to distribute the installed
# programs as a tar, where bin/ and libexec/ might be on different file systems.
#
# Define NO_INSTALL_HARDLINKS if you prefer to use either symbolic links or
# copies to install built-in git commands e.g. git-cat-file.
#
# Define SKIP_DASHED_BUILT_INS if you do not need the dashed versions of the
# built-ins to be linked/copied at all.
#
# Define USE_NED_ALLOCATOR if you want to replace the platforms default
# memory allocators with the nedmalloc allocator written by Niall Douglas.
#
# Define OVERRIDE_STRDUP to override the libc version of strdup(3).
# This is necessary when using a custom allocator in order to avoid

=== debian/changelog ===
rust-git-cinnabar (0.7.0~beta.2-2) unstable; urgency=medium

  * Upgrade itertools dependency back to 0.13.0 as it was upgraded while
    the package was sitting in NEW.

 -- Mike Hommey <glandium@debian.org>  Mon, 14 Oct 2024 05:10:32 +0900

rust-git-cinnabar (0.7.0~beta.2-1) unstable; urgency=medium

  * Package git-cinnabar 0.7.0-beta.2 from crates.io using debcargo 2.7.0
  * Closes: #1083111

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Oct 2024 10:02:44 +0900

=== debian/control ===
Source: rust-git-cinnabar
Section: vcs
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 rustc:native (>= 1.74.0),
 libstd-rust-dev,
 librust-array-init-2+default-dev (>= 2.0.1-~~),
 librust-backtrace-0.3+default-dev,
 librust-bit-vec-0.6+default-dev,
 librust-bitflags-2+default-dev,
 librust-bstr-1+std-dev,
 librust-byteorder-1+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-cc-1+default-dev (>= 1.0.46-~~),
 librust-cfg-if-1+default-dev,
 librust-clap-4+cargo-dev (>= 4.2-~~),
 librust-clap-4+default-dev (>= 4.2-~~),
 librust-clap-4+derive-dev (>= 4.2-~~),
 librust-cstr-0.2+default-dev (>= 0.2.10-~~),
 librust-curl-sys-0.4-dev,
 librust-derivative-2+default-dev,
 librust-derive-more-0.99+deref-dev,
 librust-derive-more-0.99+display-dev,
 librust-derive-more-0.99+from-dev,
 librust-derive-more-0.99+try-into-dev,
 librust-digest-0.10+default-dev,
 librust-either-1+default-dev,
 librust-flate2-1+zlib-dev,
 librust-getset-0.1+default-dev,
 librust-hex-0.4+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-indexmap-2+default-dev,
 librust-itertools-0.13+default-dev,
 librust-libc-0.2+default-dev,
 librust-libz-sys-1+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-lru-0.12-dev,
 librust-once-cell-1+default-dev (>= 1.13-~~),
 librust-percent-encoding-2+default-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+std-dev,
 librust-semver-1+default-dev,
 librust-sha1-0.10+default-dev,
 librust-syn-2+default-dev,
 librust-syn-2+full-dev,
 librust-target-2+default-dev,
 librust-tempfile-3+default-dev,
 librust-typenum-1+default-dev,
 librust-url-2+default-dev,
 librust-zstd-0.13-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Mike Hommey <glandium@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/git-cinnabar]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/git-cinnabar
X-Cargo-Crate: git-cinnabar
Rules-Requires-Root: no

Package: git-cinnabar
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Conflicts: git-remote-hg
Description: Git remote helper to interact with mercurial repositories
 git-cinnabar is a git remote helper to interact with mercurial repositories.
 Contrary to other such helpers, such as git-remote-hg, it doesn't use a
 local mercurial clone under the hood, and doesn't require mercurial
 (except to access local mercurial repositories).

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/git-cinnabar-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/git-cinnabar .*/crates/git-cinnabar/@ANY_VERSION@/download

## rust-git-cinnabar 0.7.0

=== debian/changelog ===
rust-git-cinnabar (0.7.0-1) unstable; urgency=medium

  * Package git-cinnabar 0.7.0 from crates.io using debcargo 2.7.7
  * Downgrade bzip2 and itertools dependencies.

 -- Mike Hommey <glandium@debian.org>  Sun, 02 Mar 2025 05:07:26 +0000

rust-git-cinnabar (0.7.0~beta.2-3) unstable; urgency=medium

  * Team upload.
  * Package git-cinnabar 0.7.0-beta.2 from crates.io using debcargo 2.7.6
  * Stop patching bit-vec dependency.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 30 Jan 2025 19:59:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
  cargo:native,
- rustc:native (>= 1.74.0),
+ rustc:native (>= 1.75.0),
  libstd-rust-dev,
  librust-array-init-2+default-dev (>= 2.0.1-~~),
  librust-backtrace-0.3+default-dev,
- librust-bit-vec-0.6+default-dev,
+ librust-bit-vec-0.8+default-dev,
  librust-bitflags-2+default-dev,
  librust-bstr-1+std-dev,
  librust-byteorder-1+default-dev,
@@ -20,11 +20,11 @@
  librust-clap-4+derive-dev (>= 4.2-~~),
  librust-cstr-0.2+default-dev (>= 0.2.10-~~),
  librust-curl-sys-0.4-dev,
- librust-derivative-2+default-dev,
- librust-derive-more-0.99+deref-dev,
- librust-derive-more-0.99+display-dev,
- librust-derive-more-0.99+from-dev,
- librust-derive-more-0.99+try-into-dev,
+ librust-derive-more-1+debug-dev,
+ librust-derive-more-1+deref-dev,
+ librust-derive-more-1+display-dev,
+ librust-derive-more-1+from-dev,
+ librust-derive-more-1+try-into-dev,
  librust-digest-0.10+default-dev,
  librust-either-1+default-dev,
  librust-flate2-1+zlib-dev,
@@ -38,6 +38,9 @@
  librust-log-0.4+default-dev,
  librust-log-0.4+std-dev,
  librust-lru-0.12-dev,
+ librust-mio-1+default-dev,
+ librust-mio-1+os-ext-dev,
+ librust-mio-1+os-poll-dev,
  librust-once-cell-1+default-dev (>= 1.13-~~),
  librust-percent-encoding-2+default-dev,
  librust-rand-0.8+default-dev,
@@ -57,6 +60,7 @@
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/git-cinnabar]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/git-cinnabar
+Homepage: https://github.com/glandium/git-cinnabar
 X-Cargo-Crate: git-cinnabar
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/git-cinnabar-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/git-cinnabar .*/crates/git-cinnabar/@ANY_VERSION@/download

## rust-git-cinnabar 0.7.2

=== git-core/Makefile ===
--- 
+++ 
@@ -183,7 +183,8 @@
 # byte-order mark (BOM) when writing UTF-16 or UTF-32 and always writes in
 # big-endian format.
 #
-# Define NO_DEFLATE_BOUND if your zlib does not have deflateBound.
+# Define NO_DEFLATE_BOUND if your zlib does not have deflateBound. Define
+# ZLIB_NG if you want to use zlib-ng instead of zlib.
 #
 # Define NO_NORETURN if using buggy versions of gcc 4.6+ and profile feedback,
 # as the compiler can crash (https://gcc.gnu.org/bugzilla/show_bug.cgi?id=49299)
@@ -193,7 +194,7 @@
 # Linux, kernel 2.6.11 or newer is required for reliable sub-second file times
 # on file systems with exactly 1 ns or 1 s resolution. If you intend to use Git
 # on other file systems (e.g. CEPH, CIFS, NTFS, UDF), don't enable USE_NSEC. See
-# Documentation/technical/racy-git.txt for details.
+# Documentation/technical/racy-git.adoc for details.
 #
 # Define USE_ST_TIMESPEC if your "struct stat" uses "st_ctimespec" instead of
 # "st_ctim"
@@ -278,4 +279,3 @@
 # memory allocators with the nedmalloc allocator written by Niall Douglas.
 #
 # Define OVERRIDE_STRDUP to override the libc version of strdup(3).
-# This is necessary when using a custom allocator in order to avoid

=== debian/changelog ===
rust-git-cinnabar (0.7.2-3) unstable; urgency=medium

  * Team upload.
  * Package git-cinnabar 0.7.2 from crates.io using debcargo 2.7.11
  * Relax dependency on bzip2

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 24 Jan 2026 21:22:02 -0500

rust-git-cinnabar (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Package git-cinnabar 0.7.2 from crates.io using debcargo 2.7.8
  * Apply patches from git upstream to fix compiler warnings with
    curl 8.14 (Closes: #1107412).

 -- Peter Michael Green <plugwash@debian.org>  Tue, 10 Jun 2025 14:43:51 +0000

rust-git-cinnabar (0.7.2-1) unstable; urgency=medium

  * Package git-cinnabar 0.7.2 from crates.io using debcargo 2.7.8
  * Downgrade derive_more, lru and rand dependencies.

 -- Mike Hommey <glandium@debian.org>  Sat, 29 Mar 2025 16:51:32 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-cargo,
- cargo:native,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native,
  rustc:native (>= 1.75.0),
  libstd-rust-dev,
  librust-array-init-2+default-dev (>= 2.0.1-~~),
@@ -12,7 +12,8 @@
  librust-bitflags-2+default-dev,
  librust-bstr-1+std-dev,
  librust-byteorder-1+default-dev,
- librust-bzip2-0.4+default-dev,
+ librust-bzip2+default-dev (<< 0.7-~~),
+ librust-bzip2+default-dev (>= 0.4-~~),
  librust-cc-1+default-dev (>= 1.0.46-~~),
  librust-cfg-if-1+default-dev,
  librust-clap-4+cargo-dev (>= 4.2-~~),
@@ -42,9 +43,11 @@
  librust-mio-1+os-ext-dev,
  librust-mio-1+os-poll-dev,
  librust-once-cell-1+default-dev (>= 1.13-~~),
+ librust-path-absolutize-3+default-dev,
  librust-percent-encoding-2+default-dev,
  librust-rand-0.8+default-dev,
  librust-regex-1+std-dev,
+ librust-rustversion-1+default-dev,
  librust-semver-1+default-dev,
  librust-sha1-0.10+default-dev,
  librust-syn-2+default-dev,
@@ -57,16 +60,14 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Mike Hommey <glandium@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/git-cinnabar]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/git-cinnabar
 Homepage: https://github.com/glandium/git-cinnabar
 X-Cargo-Crate: git-cinnabar
-Rules-Requires-Root: no
 
 Package: git-cinnabar
 Architecture: any
-Multi-Arch: allowed
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## rust-git-cinnabar 0.7.3

=== debian/changelog ===
rust-git-cinnabar (0.7.3-1) unstable; urgency=medium

  * Team upload.
  * Package git-cinnabar 0.7.3 from crates.io using debcargo 2.7.11
  * Remove curl-easy-setopt patches, fixed upstream.
  * Update remove-windows-target.diff for new upstream.
  * Relax dependencies on derive_more, itertools, lru and rand.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 29 Jan 2026 11:34:15 +0000

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,16 @@
  librust-clap-4+derive-dev (>= 4.2-~~),
  librust-cstr-0.2+default-dev (>= 0.2.10-~~),
  librust-curl-sys-0.4-dev,
- librust-derive-more-1+debug-dev,
- librust-derive-more-1+deref-dev,
- librust-derive-more-1+display-dev,
- librust-derive-more-1+from-dev,
- librust-derive-more-1+try-into-dev,
+ librust-derive-more+debug-dev (<< 3-~~),
+ librust-derive-more+debug-dev (>= 1-~~),
+ librust-derive-more+deref-dev (<< 3-~~),
+ librust-derive-more+deref-dev (>= 1-~~),
+ librust-derive-more+display-dev (<< 3-~~),
+ librust-derive-more+display-dev (>= 1-~~),
+ librust-derive-more+from-dev (<< 3-~~),
+ librust-derive-more+from-dev (>= 1-~~),
+ librust-derive-more+try-into-dev (<< 3-~~),
+ librust-derive-more+try-into-dev (>= 1-~~),
  librust-digest-0.10+default-dev,
  librust-either-1+default-dev,
  librust-flate2-1+zlib-dev,
@@ -33,19 +38,22 @@
  librust-hex-0.4+default-dev,
  librust-hex-literal-0.4+default-dev,
  librust-indexmap-2+default-dev,
- librust-itertools-0.13+default-dev,
+ librust-itertools+default-dev (<< 0.15-~~),
+ librust-itertools+default-dev (>= 0.13-~~),
  librust-libc-0.2+default-dev,
  librust-libz-sys-1+default-dev,
  librust-log-0.4+default-dev,
  librust-log-0.4+std-dev,
- librust-lru-0.12-dev,
+ librust-lru-dev (<< 0.17-~~),
+ librust-lru-dev (>= 0.12-~~),
  librust-mio-1+default-dev,
  librust-mio-1+os-ext-dev,
  librust-mio-1+os-poll-dev,
  librust-once-cell-1+default-dev (>= 1.13-~~),
  librust-path-absolutize-3+default-dev,
  librust-percent-encoding-2+default-dev,
- librust-rand-0.8+default-dev,
+ librust-rand+default-dev (<< 0.10-~~),
+ librust-rand+default-dev (>= 0.8-~~),
  librust-regex-1+std-dev,
  librust-rustversion-1+default-dev,
  librust-semver-1+default-dev,

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/git-cinnabar
Matching-Pattern:  .*/crates/git-cinnabar/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/git-cinnabar-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
